Subject: Re: linux-next build poblems

From: Sam Ravnborg <[email-masked]>
Date: Mon, 23 Jun 2008 23:01:11 +0200

On Mon, Jun 23, 2008 at 10:51:33PM +0200, Sam Ravnborg wrote:
> On Mon, Jun 23, 2008 at 09:32:49PM +0100, Russell King wrote:
> > On Mon, Jun 23, 2008 at 10:21:56PM +0200, Sam Ravnborg wrote:
> > > > 
> > > > I need to work out something.
> > > > But my first attemps failed miserably and I will stop for now
> > > > as I have some day-time job stuff to be done.
> > > > Travelling for a few days from now one so I cannot do anything
> > > > until the weekend.
> > > I came up with the following fix.
> > > And I fixed an arm tool chain for my box so I could check it.
> > > 
> > > We can now build an arm kernel (or at least the first steps).
> > > 
> > > I have pushed it out to kbuild-next.git.
> > > And I will redo the patch series later so we do not bisect break arm etc.
> > 
> > Silly question, but what's wrong with restoring the symlink in the
> > build include/ directory?
> The asm-offsets.h file should always be generated in the same directory.
> And that is include/asm-$ARCH today.
> 
> But if we move include/asm-$ARCH to arch/$ARCH/include then that directory
> no longer exists.
> And I wanted to avoid adding generated files to arch/$ARCH/include
> so the obvious choice was to generate the asm-offsets.h file in
> include/asm which works in make O=... and 'normal' builds.
> 
> And because I were facing problams when asm was a symlink I
> went for the solution with asm being a directory.
> But then arm creates asm-arm as a directory too.
> 
> So I can try to see of I can make asm a symlink again
> to asm-$ARCH. Adding a include3 directory is not my preferred
> solution.

OK - I tried to do what you hinted and it seems to work.
Too late to push out something and I need to test more.
But seems to simplify things - which is good.

Now I wonder why I did not do so before - maybe to avoid the
symlink.

	Sam